ur_rna.RNAstructureUI.ui

## Class RecentFileButton.ExtensionFileFilter

- java.lang.Object
- - ur_rna.RNAstructureUI.ui.RecentFileButton.ExtensionFileFilter

- All Implemented Interfaces:
    java.io.FileFilter
  Enclosing class:
    RecentFileButton

      public static class RecentFileButton.ExtensionFileFilter
      extends java.lang.Object
      implements java.io.FileFilter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `acceptAll`
    `private java.lang.String[]` | `extensions`
    `private boolean` | `includeDirs`
    `private boolean` | `mustExist`
    `private java.lang.String[]` | `normalizedExt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionFileFilter()`
    `ExtensionFileFilter(boolean mustExist, java.lang.String... extensions)`
    `ExtensionFileFilter(java.lang.String... extensions)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File pathname)` Tests whether or not the specified pathname should be included in a pathname list.
    `boolean` | `acceptAll()`
    `static RecentFileButton.ExtensionFileFilter` | `AcceptAll(boolean mustExist)`
    `java.lang.String[]` | `getExtensions()`
    `java.lang.String[]` | `getNormalizedExtensions()`
    `boolean` | `includeFolders()`
    `boolean` | `mustExist()`
    `void` | `setAcceptAll(boolean acceptAll)`
    `void` | `setExtensions(java.lang.String[] extensions)`
    `void` | `setIncludeFolders(boolean include)`
    `void` | `setMustExist(boolean mustExist)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### acceptAll

          private boolean acceptAll

    - #### extensions

          private java.lang.String[] extensions

    - #### includeDirs

          private boolean includeDirs

    - #### mustExist

          private boolean mustExist

    - #### normalizedExt

          private java.lang.String[] normalizedExt

  - ### Constructor Detail

    - #### ExtensionFileFilter

          public ExtensionFileFilter()

    - #### ExtensionFileFilter

          public ExtensionFileFilter(boolean mustExist,
                                     java.lang.String... extensions)

    - #### ExtensionFileFilter

          public ExtensionFileFilter(java.lang.String... extensions)

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File pathname)

      Tests whether or not the specified pathname should be included in a pathname list.
      Specified by:
        `accept` in interface `java.io.FileFilter`
      Parameters:
        `pathname` - The pathname to be tested
      Returns:
        `true` if and only if `pathname` should be included

    - #### acceptAll

          public boolean acceptAll()

    - #### AcceptAll

          public static RecentFileButton.ExtensionFileFilter AcceptAll(boolean mustExist)

    - #### getExtensions

          public java.lang.String[] getExtensions()

    - #### getNormalizedExtensions

          public java.lang.String[] getNormalizedExtensions()

    - #### includeFolders

          public boolean includeFolders()

    - #### mustExist

          public boolean mustExist()

    - #### setAcceptAll

          public void setAcceptAll(boolean acceptAll)

    - #### setExtensions

          public void setExtensions(java.lang.String[] extensions)

    - #### setIncludeFolders

          public void setIncludeFolders(boolean include)

    - #### setMustExist

          public void setMustExist(boolean mustExist)